!++
!     Define symbols according to macro values
!==

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF

!++
!      List of tools used and required symbols
!
!      !C used
!      Message file used
!      !Executables used
!      !Command Definition utility used - NOTE dependencies have not been resolved
!==


!++
!     Missing sources catch-all
!==

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue



!++
!   Complete application - default build item
!==

COMPLETE_APPLICATION depends_on -
     ACLSEARCH.EXE$(ARCH) -
    ,ACLSEARCH.HLB
        CONTINUE


!++
!   C
!==

MMS$OLB$(ARCH).OLB(ACLSEARCH=ACLSEARCH.OBJ$(ARCH)) depends_on -
      ACLSEARCH.C -
     ,ACLSEARCH_DEF.H -
     ,SYS$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ERRCHK.H -
     ,SYS$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
     ,VERSION.H -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=ACLSEARCH.OBJ$(ARCH) ACLSEARCH.C
       LIBRARY/REPLACE MMS$OLB$(ARCH).OLB ACLSEARCH.OBJ$(ARCH)
       DELETE ACLSEARCH.OBJ$(ARCH);*

MMS$OLB$(ARCH).OLB(ACLSEARCH_EXIT=ACLSEARCH_EXIT.OBJ$(ARCH)) depends_on -
      ACLSEARCH_EXIT.C -
     ,SYS$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,SYS$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=ACLSEARCH_EXIT.OBJ$(ARCH) ACLSEARCH_EXIT.C
       LIBRARY/REPLACE MMS$OLB$(ARCH).OLB ACLSEARCH_EXIT.OBJ$(ARCH)
       DELETE ACLSEARCH_EXIT.OBJ$(ARCH);*

MMS$OLB$(ARCH).OLB(ACLSEARCH_HELP=ACLSEARCH_HELP.OBJ$(ARCH)) depends_on -
      ACLSEARCH_HELP.C -
     ,ACLSEARCH_DEF.H -
     ,SYS$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ERRCHK.H -
     ,SYS$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=ACLSEARCH_HELP.OBJ$(ARCH) ACLSEARCH_HELP.C
       LIBRARY/REPLACE MMS$OLB$(ARCH).OLB ACLSEARCH_HELP.OBJ$(ARCH)
       DELETE ACLSEARCH_HELP.OBJ$(ARCH);*

MMS$OLB$(ARCH).OLB(ACLSEARCH_INDEXF=ACLSEARCH_INDEXF.OBJ$(ARCH)) depends_on -
      ACLSEARCH_INDEXF.C -
     ,ACLSEARCH_DEF.H -
     ,SYS$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
-!   ,EFNDEF.H -
     ,ERRCHK.H -
-!   ,EXE_ROUTINES.H -
     ,FH2DEF.H -
     ,HM2DEF.H -
-!   ,IOC_ROUTINES.H -
-!   ,MUTEXDEF.H -
-!   ,PCBDEF.H -
-!   ,SCH_ROUTINES.H -
     ,SYS$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
-!   ,UCBDEF.H -
-!   ,VA_RANGEDEF.H -
-!   ,VCBDEF.H -
-!   ,VMS_MACROS.H -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=ACLSEARCH_INDEXF.OBJ$(ARCH) ACLSEARCH_INDEXF.C
       LIBRARY/REPLACE MMS$OLB$(ARCH).OLB ACLSEARCH_INDEXF.OBJ$(ARCH)
       DELETE ACLSEARCH_INDEXF.OBJ$(ARCH);*

MMS$OLB$(ARCH).OLB(ACLSEARCH_SEARCH=ACLSEARCH_SEARCH.OBJ$(ARCH)) depends_on -
      ACLSEARCH_SEARCH.C -
     ,ACLSEARCH_DEF.H -
     ,SYS$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ERRCHK.H -
-!   ,ILEDEF.H -
-!   ,IOSBDEF.H -
     ,SYS$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=ACLSEARCH_SEARCH.OBJ$(ARCH) ACLSEARCH_SEARCH.C
       LIBRARY/REPLACE MMS$OLB$(ARCH).OLB ACLSEARCH_SEARCH.OBJ$(ARCH)
       DELETE ACLSEARCH_SEARCH.OBJ$(ARCH);*

MMS$OLB$(ARCH).OLB(ACLSEARCH_SHOW=ACLSEARCH_SHOW.OBJ$(ARCH)) depends_on -
      ACLSEARCH_SHOW.C -
     ,ACLSEARCH_DEF.H -
     ,SYS$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ERRCHK.H -
     ,SYS$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
     ,VERSION.H -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=ACLSEARCH_SHOW.OBJ$(ARCH) ACLSEARCH_SHOW.C
       LIBRARY/REPLACE MMS$OLB$(ARCH).OLB ACLSEARCH_SHOW.OBJ$(ARCH)
       DELETE ACLSEARCH_SHOW.OBJ$(ARCH);*


!++
!   Message file objects
!==

MMS$OLB$(ARCH).OLB(ACLSEARCH_MSG=ACLSEARCH_MSG.OBJ$(ARCH)) depends_on -
      ACLSEARCH_MSG.MSG -
     !
       MESSAGE/SYMBOLS/OBJECT=ACLSEARCH_MSG.OBJ$(ARCH) ACLSEARCH_MSG.MSG
       LIBRARY/REPLACE MMS$OLB$(ARCH).OLB ACLSEARCH_MSG.OBJ$(ARCH)
       DELETE ACLSEARCH_MSG.OBJ$(ARCH);*


!++
!   Links
!==

ACLSEARCH.EXE$(ARCH) depends_on -
      MMS$OLB$(ARCH).OLB(ACLSEARCH=ACLSEARCH.OBJ$(ARCH)) -
     ,MMS$OLB$(ARCH).OLB(ACLSEARCH_CLD=ACLSEARCH_CLD.OBJ$(ARCH)) -
     ,MMS$OLB$(ARCH).OLB(ACLSEARCH_EXIT=ACLSEARCH_EXIT.OBJ$(ARCH)) -
     ,MMS$OLB$(ARCH).OLB(ACLSEARCH_HELP=ACLSEARCH_HELP.OBJ$(ARCH)) -
     ,MMS$OLB$(ARCH).OLB(ACLSEARCH_INDEXF=ACLSEARCH_INDEXF.OBJ$(ARCH)) -
     ,MMS$OLB$(ARCH).OLB(ACLSEARCH_SEARCH=ACLSEARCH_SEARCH.OBJ$(ARCH)) -
     ,MMS$OLB$(ARCH).OLB(ACLSEARCH_SHOW=ACLSEARCH_SHOW.OBJ$(ARCH)) -
     ,MMS$OLB$(ARCH).OLB(ACLSEARCH_MSG=ACLSEARCH_MSG.OBJ$(ARCH)) -
-!   ,MMS$OLB$(ARCH).OLB(IOC$CHAN_TO_CCB=IOC$CHAN_TO_CCB.OBJ$(ARCH)) -
-!   ,MMS$OLB$(ARCH).OLB(SCH_STD$IOLOCKR=SCH_STD$IOLOCKR.OBJ$(ARCH)) -
-!   ,MMS$OLB$(ARCH).OLB(SCH_STD$IOUNLOCK=SCH_STD$IOUNLOCK.OBJ$(ARCH)) -
-!   ,MMS$OLB$(ARCH).OLB(SETIPL=SETIPL.OBJ$(ARCH)) -
     !
       LINK/SYSEXE $(DBG) $(PCAOPT) /EXE=ACLSEARCH.EXE$(ARCH) MMS$OLB$(ARCH).OLB/LIBRARY/INCLUDE=(ACLSEARCH) -
          ! End of Link


!++
!   Command Definition utility
!==

MMS$OLB$(ARCH).OLB(ACLSEARCH_CLD=ACLSEARCH_CLD.OBJ$(ARCH)) depends_on -
      ACLSEARCH_CLD.CLD -
     !
       SET COMMAND $(CLDFLAGS) $(LST) /OBJ=ACLSEARCH_CLD.OBJ$(ARCH) ACLSEARCH_CLD.CLD
       LIBRARY/REPLACE MMS$OLB$(ARCH).OLB ACLSEARCH_CLD.OBJ$(ARCH)
       DELETE ACLSEARCH_CLD.OBJ$(ARCH);*

ACLSEARCH.HLB depends_on -
      ACLSEARCH.HLP


!++
!   Files not found.  MMS references to these files will generate errors.
!==

!     EFNDEF.H
!     EXE_ROUTINES.H
!     ILEDEF.H
!     IOC_ROUTINES.H
!     IOSBDEF.H
!     MUTEXDEF.H
!     PCBDEF.H
!     SCH_ROUTINES.H
!     UCBDEF.H
!     VA_RANGEDEF.H
!     VCBDEF.H
!     VMS_MACROS.H



!++
!   Objects not found.  The following symbols may be undefined.
!==

!     IOC$CHAN_TO_CCB
!     SCH_STD$IOLOCKR
!     SCH_STD$IOUNLOCK
!     SETIPL

!++
!  Create object library if it doesn't already exist
!==

.FIRST
       @ WRITE SYS$OUTPUT "       Copyright (c) 2000 James F. Duff"
       @ WRITE SYS$OUTPUT "       Send bug reports/correspondence to:"
       @ WRITE SYS$OUTPUT "              jim@eight-cubed.com"
       @ WRITE SYS$OUTPUT ""
       IF F$SEARCH( "MMS$OLB$(ARCH).OLB" ) .EQS. "" -
		THEN $(LIBR)/CREATE MMS$OLB$(ARCH).OLB
       DEFINE/PROCESS DECC$TEXT_LIBRARY SYS$SHARE:SYS$LIB_C.TLB

!++
!  End of build cleanup work
!==

.LAST
       DEASSIGN/PROCESS DECC$TEXT_LIBRARY
       CONTINUE

